View Issue Details

IDProjectCategoryView StatusLast Update
0002629Kali Linux[All Projects] Tool Upgrade Requestpublic2020-12-01 10:48
Reporterpaulj Assigned Tosbrun  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version2016.1 
Summary0002629: Please Update OpenVAS
DescriptionAny chance an update can be made to OpenVAS? I'm having trouble with remote credentialed scans and the following updates are supposed to address the issue.

Even after apt-get update and dist-upgrade I get:
openvas-check-setup currently is 2.3.0, latest is 2.3.3 from openvas.org/install-source.html
OpenVAS Scanner currently is 5.0.1, latest is 5.0.4
OpenVAS Manager currently is 6.0.1, latest is 6.0.5
Greenbone Security Assistant currently is 6.0.1, latest is 6.0.5

I tried to install them from source code but ran into lots of problems, plus I'm new to all of this.

Starting with the Libraries, when I try to update the libraries needed I get:
"# apt-get install pkg-config libssh-dev libgnutls-dev libglib2.0-dev libpcap-dev \ libgpgme11-dev uuid-dev bison libksba-dev libhiredis-dev libsnmp-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libgnutls-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libgnutls-dev' has no installation candidate
E: Unable to locate package libgpgme11-dev"

I’ve tried but not sure how to fix this. Any ideas?

Next the instructions want me to do a cmake, but there is no such command. I see a file openvas_cmake_macros but can’t figure out how to run this.

Does the Kali 2.0 build have the other prerequisites?

Then the make command doesn’t work without an argument, not sure what to put here.
Steps To ReproduceCan check the versions with openvas-check-setup and see what's available at openvas.org/install-source.html

Activities

sbrun

2015-09-14 07:03

manager   ~0003994

the new version of openvas packages are in kali-dev

Issue History

Date Modified Username Field Change
2015-09-08 08:46 paulj New Issue
2015-09-08 14:02 rhertzog Assigned To => sbrun
2015-09-08 14:02 rhertzog Status new => assigned
2015-09-14 07:03 sbrun Note Added: 0003994
2015-09-14 07:03 sbrun Status assigned => resolved
2015-09-14 07:03 sbrun Resolution open => fixed
2015-09-14 07:03 sbrun Fixed in Version => 2016.1
2020-12-01 10:48 g0tmi1k Priority high => normal
2021-05-31 13:37 rhertzog Category Tool Upgrade => Tool Upgrade Request